/*
 *  TOPPERS/OSEK Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      OSEK Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2004-2006 by Witz Corporation, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 */

/*
 *	Tv^[QbgˑVXe^C}W[iCQ7144Apj
 */

#if !defined( _HW_SYS_TIMER_H_ )
#define _HW_SYS_TIMER_H_


#include	"kernel.h"
#include	"sh7144.h"


/*
 *  VXe^C}̊݃x`
 */
#define CFG_INTLVL_SYSCLK	(UINT16)( 0x0004 )

/*
 *  VXe^C}̃RyAli1msj
 */
#define	CFG_SYSCLK		(UINT16)( 3000 )

#if !defined( _MACRO_ONLY )
/*
 *  VXe^C}̋N֐vg^Cv錾
 */
extern void InitHwSysTimer( void );

/*
 *  VXe^C}̒~֐vg^Cv錾
 */
extern void TermHwSysTimer( void );

/*
 *  VXe^C}̊ݗvNA֐vg^Cv錾
 */
Inline void	ClearHwSysTimerInt( void );

/*
 *  VXe^C}̊ݗvNA
 *
 *  ݔɎIɃNA邪C݈ȊO
 *  s邱Ƃz肵CLD
 */
Inline void
ClearHwSysTimerInt( void )
{
	CMCSR_0 &= ~0x0080;		/* ݗvNA */
}	/* ClearHwSysTimerInt	*/

#endif /* _MACRO_ONLY */


#endif /* _HW_SYS_TIMER_H_ */

